Subject: bug#2106: 23.0.60; which-function-mode locks up emacs 23 with 100% cpu

From: Juanma Barranquero <[email-masked]>
Date: Fri, 30 Jan 2009 09:53:08 +0100

On Thu, Jan 29, 2009 at 15:48, Sid <[email-masked]> wrote:

> I noticed that if i have which-function-mode enabled in my init script
> (~/.emacs) and i open any malformed python file it locks up the emacs
> window with 100% cpu utilization.

You don't even have to use which-function-mode. In your example, just
move the point to the last line and type C-M-e (that's end-of-defun).
It loops.

    Juanma